Skip to main content
GET
/
v2
/
giftcards
/
programs
/
{programId}
/
reports
/
business
Getbusinessreports
curl --request GET \
  --url https://api.loyalty.dog/v2/giftcards/programs/{programId}/reports/business \
  --header 'Authorization: Bearer <token>'
{
  "totalCards": 123,
  "activeCards": 123,
  "pendingCards": 123,
  "depletedCards": 123,
  "expiredCards": 123,
  "voidedCards": 123,
  "totalSold": "<string>",
  "totalRedeemed": "<string>",
  "totalBalance": "<string>",
  "cardsSoldThisMonth": 123,
  "salesThisMonth": "<string>"
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

X-Eposn-Customer-Token
string | null
X-Eposn-Merchant-Token
string | null

Path Parameters

programId
string | null
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Query Parameters

cardId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Response

Successful Response

totalCards
integer
required
activeCards
integer
required
pendingCards
integer
required
depletedCards
integer
required
expiredCards
integer
required
voidedCards
integer
required
totalSold
string
required
totalRedeemed
string
required
totalBalance
string
required
cardsSoldThisMonth
integer
required
salesThisMonth
string
required